MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029160Open CASCADE[OCCT] OCCT:Codingpublic2017-09-29 10:302018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029160: Coding - AppleCLang 9 compiler warning "binding dereferenced null pointer to reference has undefined behavior"
DescriptionWhen building OCCT on macOS Sierra, additional compiler warning is reported by AppleClang 9:

AppDef_MyLineTool.cxx:146: binding dereferenced null pointer to reference has undefined behavior
Steps To ReproduceBuild OCCT on macOS Sierra
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0070959)
git (administrator)
2017-09-29 11:21

Branch CR29160 has been created by abv.

SHA-1: 1e24f65fed45b79c3cb55ae3ead00c5e88f967ec


Detailed log of new commits:

Author: abv
Date: Fri Sep 29 11:18:11 2017 +0300

    0029160: Coding - AppleCLang 9 compiler warning "binding dereferenced null pointer to reference has undefined behavior"
    
    Avoid returning reference to null in AppDef_MyLineTool
(0070984)
abv (manager)
2017-09-29 14:27

Correction is pushed to CR29160 and tested, see Jenkins job CR29160-master-abv; please review
(0071127)
msv (developer)
2017-10-02 20:46

Reviewed.
(0071141)
git (administrator)
2017-10-03 10:04

Branch CR29160 has been updated forcibly by inv.

SHA-1: 778bd4d49163f011144cbab8f9f18fd67d72b69a
(0071150)
bugmaster (administrator)
2017-10-03 13:24

Combination -
OCCT branch : CR29160 SHA-1: 778bd4d49163f011144cbab8f9f18fd67d72b69a
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29160-master-abv/ [^]

Number of compiler warnings:
MacOS 0 (1 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071472)
git (administrator)
2017-10-14 12:20

Branch CR29160 has been deleted by kgv.

SHA-1: 778bd4d49163f011144cbab8f9f18fd67d72b69a

- Related Changesets
occt: master 8157aa28
Timestamp: 2017-09-29 08:18:11
Author: abv
Committer: bugmaster
Details ] Diff ]
0029160: Coding - AppleCLang 9 compiler warning "binding dereferenced null pointer to reference has undefined behavior"

Avoid returning reference to null in AppDef_MyLineTool
mod - src/AppDef/AppDef_MyLineTool.cxx Diff ] File ]
mod - src/AppDef/AppDef_MyLineTool.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-29 10:30 abv New Issue
2017-09-29 10:30 abv Assigned To => kgv
2017-09-29 11:21 git Note Added: 0070959
2017-09-29 14:27 abv Note Added: 0070984
2017-09-29 14:27 abv Assigned To kgv => msv
2017-09-29 14:27 abv Status new => resolved
2017-09-29 14:27 abv Steps to Reproduce Updated View Revisions
2017-09-29 14:28 abv Target Version 7.4.0* => 7.3.0
2017-10-02 20:46 msv Note Added: 0071127
2017-10-02 20:46 msv Assigned To msv => bugmaster
2017-10-02 20:46 msv Status resolved => reviewed
2017-10-03 10:04 git Note Added: 0071141
2017-10-03 13:24 bugmaster Note Added: 0071150
2017-10-03 13:24 bugmaster Status reviewed => tested
2017-10-04 16:11 bugmaster Test case number => Not required
2017-10-06 14:55 bugmaster Changeset attached => occt master 8157aa28
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:20 git Note Added: 0071472
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker